import 'package:flutter/material.dart';

class HeroImageView extends StatelessWidget {
  final String image;
  final Widget child;

  HeroImageView({
    this.image,
    this.child
  });

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onTap: () {
        Navigator.push(context, MaterialPageRoute(
            builder: (context) => GestureDetector(
              onTap: () {
                Navigator.pop(context);
              },
              child: Scaffold(
                body: Center(
                  child: Hero(
                    tag: image,
                    child: Image.network(image),
                  ),
                ),
              ),
            )
        ));
      },
      child: Hero(
        tag: image,
        child: child,
      ),
    );
  }
}
